Bug 529424 - [RFE] method to sync cpg and cman
Summary: [RFE] method to sync cpg and cman
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: corosync
Version: 12
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Jan Friesse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 553375
TreeView+ depends on / blocked
 
Reported: 2009-10-16 18:56 UTC by David Teigland
Modified: 2010-04-20 12:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 553375 (view as bug list)
Environment:
Last Closed: 2010-04-20 12:46:14 UTC
Type: ---


Attachments (Terms of Use)
Proposed and tested patch (25.88 KB, patch)
2010-04-20 12:45 UTC, Jan Friesse
no flags Details | Diff

Description David Teigland 2009-10-16 18:56:35 UTC
Description of problem:

https://lists.linux-foundation.org/pipermail/openais/2009-September/013022.html

http://git.fedorahosted.org/git/cluster.git?p=cluster.git;a=commitdiff;h=bcc5fdef8473d99399c624a7bc15423a2af645c1


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Bug Zapper 2009-11-16 13:45:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Jan Friesse 2010-04-20 12:45:41 UTC
Created attachment 407808 [details]
Proposed and tested patch

CPG model_initialize and ringid + members callback

Patch adds new function to initialize cpg, cpg_model_initialize. Model
is set of callbacks. With this function, future addions of models
should  be possible without changing the ABI.

Patch also contains callback in CPG_MODEL_V1 for notification about
Totem membership changes.

This is tested and acked by Dave and committed revision 2770.


Note You need to log in before you can comment on or make changes to this bug.